Package pyxmpp :: Package jabber :: Module vcard :: Class VCardTel

[hide private]

# Class VCardTel

source code

    VCardField --+
                 |
                VCardTel

Telephone vCard field.

Instance Methods | [hide private]

__init__(self, name, value, rfc2425parameters=None) Initialize a VCardTel object. | source code

`str`

rfc2426(self) RFC2426-encode the field content. | source code

`libxml2.xmlNode`

as_xml(self, parent) Create vcard-tmp XML representation of the field. | source code

Inherited from `VCardField`: `__repr__`

Instance Variables | [hide private]

`unicode` | number phone number.
`list` of "home","work","voice","fax","pager","msg","cell","video","bbs","modem","isdn","pcs" or "pref". | type type of the phone number.
Inherited from `VCardField`: `name`

Method Details | [hide private]

### __init__(self, name, value, rfc2425parameters=None)
(Constructor)

source code

Initialize a VCardTel object.

Parameters:
  - `name` (`str`) - field name
  - `value` (`str` or `libxml2.xmlNode`) - field value as string or an XML node
  - `rfc2425parameters` (`dict`) - optional RFC 2425 parameters
Overrides: VCardField.__init__

### rfc2426(self)

source code

RFC2426-encode the field content.

Returns: `str`
  the field in the RFC 2426 format.
Overrides: VCardField.rfc2426

### as_xml(self, parent)

source code

Create vcard-tmp XML representation of the field.

Parameters:
  - `parent` (`libxml2.xmlNode`) - parent node for the element
Returns: `libxml2.xmlNode`
  xml node with the field data.